// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/vis/posperipherals/legiscanner/legiscanner.proto

package legiscanner

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type StreamLegiScanResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Signed JWT, verifying the person associated with the legi scan.
	// Used to verify requests in PoS backend
	Token string `protobuf:"bytes,2,opt,name=token,proto3" json:"token,omitempty"`
}

func (x *StreamLegiScanResponse) Reset() {
	*x = StreamLegiScanResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StreamLegiScanResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StreamLegiScanResponse) ProtoMessage() {}

func (x *StreamLegiScanResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StreamLegiScanResponse.ProtoReflect.Descriptor instead.
func (*StreamLegiScanResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_rawDescGZIP(), []int{0}
}

func (x *StreamLegiScanResponse) GetToken() string {
	if x != nil {
		return x.Token
	}
	return ""
}

var File_vseth_vis_posperipherals_legiscanner_legiscanner_proto protoreflect.FileDescriptor

var file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_rawDesc = []byte{
	0x0a, 0x36, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x70, 0x6f, 0x73, 0x70,
	0x65, 0x72, 0x69, 0x70, 0x68, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x2f, 0x6c, 0x65, 0x67, 0x69, 0x73,
	0x63, 0x61, 0x6e, 0x6e, 0x65, 0x72, 0x2f, 0x6c, 0x65, 0x67, 0x69, 0x73, 0x63, 0x61, 0x6e, 0x6e,
	0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x24, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x76, 0x69, 0x73, 0x2e, 0x70, 0x6f, 0x73, 0x70, 0x65, 0x72, 0x69, 0x70, 0x68, 0x65, 0x72, 0x61,
	0x6c, 0x73, 0x2e, 0x6c, 0x65, 0x67, 0x69, 0x73, 0x63, 0x61, 0x6e, 0x6e, 0x65, 0x72, 0x1a, 0x1b,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x2e, 0x0a, 0x16, 0x53,
	0x74, 0x72, 0x65, 0x61, 0x6d, 0x4c, 0x65, 0x67, 0x69, 0x53, 0x63, 0x61, 0x6e, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x32, 0xe8, 0x01, 0x0a, 0x0b,
	0x4c, 0x65, 0x67, 0x69, 0x73, 0x63, 0x61, 0x6e, 0x6e, 0x65, 0x72, 0x12, 0x36, 0x0a, 0x04, 0x42,
	0x65, 0x65, 0x70, 0x12, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a, 0x16, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d,
	0x70, 0x74, 0x79, 0x12, 0x36, 0x0a, 0x04, 0x42, 0x6f, 0x6f, 0x70, 0x12, 0x16, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d,
	0x70, 0x74, 0x79, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x69, 0x0a, 0x0f, 0x53,
	0x74, 0x72, 0x65, 0x61, 0x6d, 0x4c, 0x65, 0x67, 0x69, 0x53, 0x63, 0x61, 0x6e, 0x73, 0x12, 0x16,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a, 0x3c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76,
	0x69, 0x73, 0x2e, 0x70, 0x6f, 0x73, 0x70, 0x65, 0x72, 0x69, 0x70, 0x68, 0x65, 0x72, 0x61, 0x6c,
	0x73, 0x2e, 0x6c, 0x65, 0x67, 0x69, 0x73, 0x63, 0x61, 0x6e, 0x6e, 0x65, 0x72, 0x2e, 0x53, 0x74,
	0x72, 0x65, 0x61, 0x6d, 0x4c, 0x65, 0x67, 0x69, 0x53, 0x63, 0x61, 0x6e, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x30, 0x01, 0x42, 0x88, 0x01, 0x0a, 0x27, 0x63, 0x68, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x6f, 0x73, 0x70, 0x65, 0x72, 0x69, 0x70,
	0x68, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x2e, 0x6c, 0x65, 0x67, 0x69, 0x73, 0x63, 0x61, 0x6e, 0x6e,
	0x65, 0x72, 0x5a, 0x5d, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e,
	0x63, 0x68, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73,
	0x67, 0x2f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x73, 0x74, 0x75, 0x62, 0x2d, 0x67, 0x6f, 0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x70, 0x6f, 0x73, 0x70, 0x65, 0x72, 0x69, 0x70, 0x68,
	0x65, 0x72, 0x61, 0x6c, 0x73, 0x2f, 0x6c, 0x65, 0x67, 0x69, 0x73, 0x63, 0x61, 0x6e, 0x6e, 0x65,
	0x72, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_rawDescOnce sync.Once
	file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_rawDescData = file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_rawDesc
)

func file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_rawDescGZIP() []byte {
	file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_rawDescOnce.Do(func() {
		file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_rawDescData)
	})
	return file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_rawDescData
}

var file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_goTypes = []interface{}{
	(*StreamLegiScanResponse)(nil), // 0: vseth.vis.posperipherals.legiscanner.StreamLegiScanResponse
	(*emptypb.Empty)(nil),          // 1: google.protobuf.Empty
}
var file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_depIdxs = []int32{
	1, // 0: vseth.vis.posperipherals.legiscanner.Legiscanner.Beep:input_type -> google.protobuf.Empty
	1, // 1: vseth.vis.posperipherals.legiscanner.Legiscanner.Boop:input_type -> google.protobuf.Empty
	1, // 2: vseth.vis.posperipherals.legiscanner.Legiscanner.StreamLegiScans:input_type -> google.protobuf.Empty
	1, // 3: vseth.vis.posperipherals.legiscanner.Legiscanner.Beep:output_type -> google.protobuf.Empty
	1, // 4: vseth.vis.posperipherals.legiscanner.Legiscanner.Boop:output_type -> google.protobuf.Empty
	0, // 5: vseth.vis.posperipherals.legiscanner.Legiscanner.StreamLegiScans:output_type -> vseth.vis.posperipherals.legiscanner.StreamLegiScanResponse
	3, // [3:6] is the sub-list for method output_type
	0, // [0:3] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_init() }
func file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_init() {
	if File_vseth_vis_posperipherals_legiscanner_legiscanner_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StreamLegiScanResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_goTypes,
		DependencyIndexes: file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_depIdxs,
		MessageInfos:      file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_msgTypes,
	}.Build()
	File_vseth_vis_posperipherals_legiscanner_legiscanner_proto = out.File
	file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_rawDesc = nil
	file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_goTypes = nil
	file_vseth_vis_posperipherals_legiscanner_legiscanner_proto_depIdxs = nil
}
